export declare function encode(value: any): any;
export declare function decode(value: string): any;
declare type storageType = 'local' | 'session';
/**
 * 本地缓存基础类，代理localStorage或sessionStorage行为
 */
export declare class BaseStorage {
    webStorage: Storage;
    useExpire: boolean;
    constructor(type?: storageType, useExpire?: boolean);
    getLength(): number;
    isEmpty(): boolean;
    get(key: string): any;
    set(key: string, value: any, expires?: number | null): boolean;
    has(key: string): boolean;
    getKey(index: number): string | null;
    getIndex(index: number): any;
    getAll(): Recordable;
    getAllKeys(): string[];
    remove(key: string): void;
    clear(): void;
}
export declare const storageProxy: BaseStorage;
export {};
